device_type: "fvp"

job_name: "tuxrun@fvp-morello-android"
priority: medium
visibility: public


timeouts:
  job:
    minutes: 1025
  action:
    minutes: 10
  connection:
    minutes: 10

actions:
- deploy:
    to: fvp
    timeout:
      minutes: 5
    images:
      ap_romfw:
        url: "/DATA/tf-bl1.bin"
      scp_romfw:
        url: "/DATA/scp_romfw.bin"
      scp_fw:
        url: "/DATA/scp_fw.bin"
      mcp_romfw:
        url: "/DATA/mcp_romfw.bin"
      mcp_fw:
        url: "/DATA/mcp_fw.bin"
      fip:
        url: "/DATA/fip.bin"
      rootfs:
        url: "/DATA/android-nano.img.xz"
        compression: xz
- boot:
    method: fvp
    docker:
      name: "fvp:morello-0.11.33"
      local: true
      container_name: "tuxrun-ci"
    image: "/opt/model/FVP_Morello/models/Linux64_GCC-6.4/FVP_Morello"
    version_string: "Fast Models [^\\n]+"
    timeout:
      minutes: 20
    console_string: "terminal_uart_ap: Listening for serial connection on port (?P<PORT>\\d+)"
    feedbacks:
    - "terminal_(?P<NAME>uart0): Listening for serial connection on port (?P<PORT>\\d+)"
    - "terminal_(?P<NAME>uart1): Listening for serial connection on port (?P<PORT>\\d+)"
    - "terminal_(?P<NAME>uart_aon): Listening for serial connection on port (?P<PORT>\\d+)"
    - "terminal_(?P<NAME>uart1_ap): Listening for serial connection on port (?P<PORT>\\d+)"
    - "terminal_(?P<NAME>sec_uart_ap): Listening for serial connection on port (?P<PORT>\\d+)"
    - "terminal_(?P<NAME>uart0_board): Listening for serial connection on port (?P<PORT>\\d+)"
    - "terminal_(?P<NAME>uart1_board): Listening for serial connection on port (?P<PORT>\\d+)"
    arguments:
    - "--data Morello_Top.css.scp.armcortexm7ct={SCP_ROMFW}@0x0"
    - "--data Morello_Top.css.mcp.armcortexm7ct={MCP_ROMFW}@0x0"
    - "-C Morello_Top.soc.scp_qspi_loader.fname={SCP_FW}"
    - "-C Morello_Top.soc.mcp_qspi_loader.fname={MCP_FW}"
    - "-C css.scp.armcortexm7ct.INITVTOR=0x0"
    - "-C css.mcp.armcortexm7ct.INITVTOR=0x0"
    - "-C board.virtioblockdevice.image_path={ROOTFS}"
    - "-C css.pl011_uart_ap.out_file=uart0.log"
    - "-C css.scp.pl011_uart_scp.out_file=scp.log"
    - "-C css.mcp.pl011_uart0_mcp.out_file=mcp.log"
    - "-C css.pl011_uart_ap.unbuffered_output=1"
    - "-C displayController=0"
    - "-C board.virtio_rng.enabled=1"
    - "-C board.virtio_rng.seed=0"
    - "-C board.rtc_clk_frequency=32768"
    - "-C num_clusters=2"
    - "-C num_cores=2"
    - "-C board.virtio_net.enabled=true"
    - "-C board.virtio_net.hostbridge.userNetworking=true"
    - "-C board.virtio_net.hostbridge.userNetPorts=\"5555=5555\""
    - "-C board.virtio_net.transport=legacy"
    - "-C disable_visualisation=true"
    - "-C board.virtio_p9.root_path=/etc"
    - "-C css.trustedBootROMloader.fname={AP_ROMFW}"
    - "-C board.ap_qspi_loader.fname={FIP}"
    prompts:
    - "console:/ "

- test:
    timeout:
      minutes: 1000
    docker:
      image: git.morello-project.org:5050/morello/morello-ci-containers/morello-android-platform-tools
      network_from: "tuxrun-ci"
    definitions:
    - repository: https://git.morello-project.org/morello/morello-ci-pipelines.git
      from: git
      path: lava/test-definitions/bionic/testdef.yaml
      name: bionic
      parameters:
        GTEST_FILTER: "hello"
        TEST_PATHS: "nativetest64 nativetestc64"
        TEST_TYPE: "dynamic"
